<h2>Template</h2>

<?php if($this->out["templates"]) : ?>

<form name="config_form" action="<?php echo $this->url("config/templates"); ?>" method="post">

  <fieldset>
    <ul>
      <li>
        <label for="out">template</label>
        <?php
  
          $current_out_path = $this->config("out");
          $FOUND = false;
          foreach($this->out["templates"] as $out_path => $template) { if($current_out_path == $out_path) { $FOUND = true; break; } }
          if(!$FOUND) $current_out_path = $this->config("default_out");
        
        ?>
        <div class="form_input">
          <select name="out" id="out">
            <?php

              foreach($this->out["templates"] as $out_path => $template) :
                $template_name = $template->get_template_info("name");
                if(!$template_name) $template_name = $out_path;

            ?>
            <option value="<?php echo $out_path; ?>"<?php echo $current_out_path == $out_path ? " selected=\"selected\"" : ""; ?>><?php echo $template_name; ?></option>
            <?php endforeach; ?>
          </select>
        </div>
      </li>
      <?php if($this->out["out_config"]) : ?>
      <li>
        <label>&nbsp;</label>
        <div class="form_input">
          Ce template a des <a href="<?php echo $this->url("config/templates/options"); ?>">options</a>
        </div>
      </li>
      <?php endif; ?>
      <li>
        <div class="form_buttons">
          <input type="submit" value="Enregistrer" />
        </div>
      </li>
    </ul>
  </fieldset>

</form>

<?php else : ?>

<p>Aucun template</p>

<?php endif; ?>
